Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597456 - Evolution crashes when grouping messages by thread
Summary: Evolution crashes when grouping messages by thread
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3e22f270c82789f040ba01a9b31...
: 601205 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-29 01:24 UTC by Samuel Irlapati
Modified: 2010-07-14 13:36 UTC (History)
5 users (show)

Fixed In Version: evolution-2.30.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-14 12:25:59 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-05-29 01:24 UTC, Samuel Irlapati
no flags Details
valgrind output (deleted)
2010-06-15 15:51 UTC, Samuel Irlapati
no flags Details
valgrind output (deleted)
2010-06-30 15:03 UTC, Samuel Irlapati
no flags Details
valgrind output (deleted)
2010-07-10 03:25 UTC, Samuel Irlapati
no flags Details
valgrind output (deleted)
2010-07-13 01:57 UTC, Samuel Irlapati
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 624335 None None None Never

Internal Links: 601205

Description Samuel Irlapati 2010-05-29 01:24:47 UTC
abrt 1.1.0 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: evolution
comment: This happened after upgrading from fedora12 to fedora13 using preupgrade. I have the latest packages.
component: evolution
crash_function: raise
executable: /usr/bin/evolution
global_uuid: 3e22f270c82789f040ba01a9b313a9f3112794fe
kernel: 2.6.33.4-95.fc13.x86_64
package: evolution-2.30.1-5.fc13
rating: 3
reason: Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. start evolution
2. status bar says generating message list
3. 5 seconds later it crashes

Comment 1 Samuel Irlapati 2010-05-29 01:24:49 UTC
Created attachment 417785 [details]
File: backtrace

Comment 2 Samuel Irlapati 2010-05-29 01:36:19 UTC
I should also mention to narrow down what was wrong i also made evolution to work offline. It still crashes.

Comment 3 Samuel Irlapati 2010-05-29 20:48:48 UTC
I update the evolution package to evolution-2.30.1-6.fc13.x86_64, but it still crashes.

Comment 4 Samuel Irlapati 2010-05-29 20:49:58 UTC
If i move the folder .evolution/mail to mail.old, then evolution will open up and not crash. But when i move the mail folder back and start evolution, it crashes in about 5 seconds.

Comment 5 Samuel Irlapati 2010-06-03 22:43:49 UTC
Here is the output i get when i run evolution at the command line.

/home/irlapati>evolution
(evolution:30074): e-data-server-DEBUG: Loading categories from "/home/irlapati/.evolution/categories.xml"
(evolution:30074): e-data-server-DEBUG: Loaded 28 categories
Rspam Plugin enabled (evolution 2.30, evolution-rspam 0.0.99)
*** glibc detected *** evolution: munmap_chunk(): invalid pointer: 0x00007f438ffccd9d ***
======= Backtrace: =========
/lib64/libc.so.6[0x3d7fc75746]
/usr/lib64/evolution/2.30/libevolution-mail.so.0(+0x35e1e86d86)[0x7f438ffb9d86]
/lib64/libglib-2.0.so.0(g_hash_table_foreach+0x43)[0x3d8142d483]
/usr/lib64/evolution/2.30/libevolution-mail.so.0(+0x35e1e87e29)[0x7f438ffbae29]
/usr/lib64/evolution/2.30/libevolution-mail.so.0(+0x35e1e78c88)[0x7f438ffabc88]
/lib64/libglib-2.0.so.0[0x3d81466d4b]
/lib64/libglib-2.0.so.0[0x3d81464e84]
/lib64/libpthread.so.0[0x3d80407761]
/lib64/libc.so.6(clone+0x6d)[0x3d7fce150d]
======= Memory map: ========
00400000-00404000 r-xp 00000000 08:01 1826346                            /usr/bin/evolution
00604000-0060c000 rw-p 00004000 08:01 1826346                            /usr/bin/evolution
009b6000-018ea000 rw-p 00000000 00:00 0                                  [heap]
35da600000-35da604000 r-xp 00000000 08:01 3965234                        /lib64/libuuid.so.1.3.0
35da604000-35da803000 ---p 00004000 08:01 3965234                        /lib64/libuuid.so.1.3.0
35da803000-35da804000 rw-p 00003000 08:01 3965234                        /lib64/libuuid.so.1.3.0
35daa00000-35daa07000 r-xp 00000000 08:01 1829539                        /usr/lib64/libSM.so.6.0.0
35daa07000-35dac07000 ---p 00007000 08:01 1829539                        /usr/lib64/libSM.so.6.0.0
35dac07000-35dac08000 rw-p 00007000 08:01 1829539                        /usr/lib64/libSM.so.6.0.0
35dae00000-35dae07000 r-xp 00000000 08:01 3965358                        /lib64/libcrypt-2.12.so
35dae07000-35db007000 ---p 00007000 08:01 3965358                        /lib64/libcrypt-2.12.so
35db007000-35db008000 r--p 00007000 08:01 3965358                        /lib64/libcrypt-2.12.so
35db008000-35db009000 rw-p 00008000 08:01 3965358                        /lib64/libcrypt-2.12.so
35db009000-35db037000 rw-p 00000000 00:00 0 
35db200000-35db25a000 r-xp 00000000 08:01 3965357                        /lib64/libfreebl3.so
35db25a000-35db459000 ---p 0005a000 08:01 3965357                        /lib64/libfreebl3.so
35db459000-35db45b000 rw-p 00059000 08:01 3965357                        /lib64/libfreebl3.so
35db45b000-35db45f000 rw-p 00000000 00:00 0 
35db600000-35db619000 r-xp 00000000 08:01 1810876                        /usr/lib64/libsasl2.so.2.0.23
35db619000-35db819000 ---p 00019000 08:01 1810876                        /usr/lib64/libsasl2.so.2.0.23
35db819000-35db81a000 rw-p 00019000 08:01 1810876                        /usr/lib64/libsasl2.so.2.0.23
35dba00000-35dba09000 r-xp 00000000 08:01 1805526                        /usr/lib64/libstartup-notification-1.so.0.0.0
35dba09000-35dbc08000 ---p 00009000 08:01 1805526                        /usr/lib64/libstartup-notification-1.so.0.0.0
35dbc08000-35dbc09000 rw-p 00008000 08:01 1805526                        /usr/lib64/libstartup-notification-1.so.0.0.0
35dbe00000-35dbe28000 r-xp 00000000 08:01 1814766                        /usr/lib64/libgnome-desktop-2.so.17.1.0
35dbe28000-35dc027000 ---p 00028000 08:01 1814766                        /usr/lib64/libgnome-desktop-2.so.17.1.0
35dc027000-35dc029000 rw-p 00027000 08:01 1814766                        /usr/lib64/libgnome-desktop-2.so.17.1.0
35dc200000-35dc26d000 r-xp 00000000 08:01 1805137                        /usr/lib64/libbonoboui-2.so.0.0.0
35dc26d000-35dc46c000 ---p 0006d000 08:01 1805137                        /usr/lib64/libbonoboui-2.so.0.0.0
35dc46c000-35dc471000 rw-p 0006c000 08:01 1805137                        /usr/lib64/libbonoboui-2.so.0.0.0
35dc600000-35dc605000 r-xp 00000000 08:01 3409982                        /usr/lib64/evolution/2.30/libetimezonedialog.so.0.0.0
35dc605000-35dc805000 ---p 00005000 08:01 3409982                        /usr/lib64/evolution/2.30/libetimezonedialog.so.0.0.0
35dc805000-35dc806000 rw-p 00005000 08:01 3409982                        /usr/lib64/evolution/2.30/libetimezonedialog.so.0.0.0
35dca00000-35dca04000 r-xp 00000000 08:01 1818319                        /usr/lib64/libcanberra-gtk.so.0.1.6
35dca04000-35dcc03000 ---p 00004000 08:01 1818319                        /usr/lib64/libcanberra-gtk.so.0.1.6
35dcc03000-35dcc04000 rw-p 00003000 08:01 1818319                        /usr/lib64/libcanberra-gtk.so.0.1.6
35dce00000-35dce99000 r-xp 00000000 08:01 1832251                        /usr/lib64/libgnomeui-2.so.0.2400.3
35dce99000-35dd098000 ---p 00099000 08:01 1832251                        /usr/lib64/libgnomeui-2.so.0.2400.3
35dd098000-35dd09e000 rw-p 00098000 08:01 1832251                        /usr/lib64/libgnomeui-2.so.0.2400.3
35dd200000-35dd216000 r-xp 00000000 08:01 1832256                        /usr/lib64/libgpilotd.so.2.2.0
35dd216000-35dd415000 ---p 00016000 08:01 1832256                        /usr/lib64/libgpilotd.so.2.2.0
35dd415000-35dd419000 rw-p 00015000 08:01 1832256                        /usr/lib64/libgpilotd.so.2.2.0
35dd600000-35dd638000 r-xp 00000000 08:01 1817224                        /usr/lib64/libedataserverui-1.2.so.8.1.1
35dd638000-35dd838000 ---p 00038000 08:01 1817224                        /usr/lib64/libedataserverui-1.2.so.8.1.1
35dd838000-35dd83a000 rw-p 00038000 08:01 1817224                        /usr/lib64/libedataserverui-1.2.so.8.1.1
35dda00000-35dda2b000 r-xp 00000000 08:01 1819912                        /usr/lib64/libedataserver-1.2.so.11.0.1
35dda2b000-35ddc2a000 ---p 0002b000 08:01 1819912                        /usr/lib64/libedataserver-1.2.so.11.0.1
35ddc2a000-35ddc2c000 rw-p 0002a000 08:01 1819912                        /usr/lib64/libedataserver-1.2.so.11.0.1
35dde00000-35dde06000 r-xp 00000000 08:01 1832381                        /usr/lib64/libgpilotdcm.so.2.1.0
35dde06000-35de006000 ---p 00006000 08:01 1832381                        /usr/lib64/libgpilotdcm.so.2.1.0
35de006000-35de007000 rw-p 00006000 08:01 1832381                        /usr/lib64/libgpilotdcm.so.2.1.0
35de200000-35de229000 r-xp 00000000 08:01 1832349                        /usr/lib64/libebook-1.2.so.9.3.1
35de229000-35de429000 ---p 00029000 08:01 1832349                        /usr/lib64/libebook-1.2.so.9.3.1
35de429000-35de42d000 rw-p 00029000 08:01 1832349                        /usr/lib64/libebook-1.2.so.9.3.1
35de600000-35de668000 r-xp 00000000 08:01 1832348                        /usr/lib64/libcamel-1.2.so.14.0.1
35de668000-35de868000 ---p 00068000 08:01 1832348                        /usr/lib64/libcamel-1.2.so.14.0.1
35de868000-35de881000 rw-p 00068000 08:01 1832348                        /usr/lib64/libcamel-1.2.so.14.0.1
35de881000-35de882000 rw-p 00000000 00:00 0 
35dea00000-35dea15000 r-xp 00000000 08:01 1814725                        /usr/lib64/libgpilotdconduit.so.2.0.4Aborted (core dumped)
/home/irlapati>

Comment 6 Samuel Irlapati 2010-06-07 13:12:23 UTC

*** This bug has been marked as a duplicate of bug 601205 ***

Comment 7 Vedran Miletić 2010-06-07 14:29:10 UTC
*** Bug 601205 has been marked as a duplicate of this bug. ***

Comment 8 Vedran Miletić 2010-06-07 14:35:46 UTC
Add 'Triaged' keyword.

Comment 9 Samuel Irlapati 2010-06-08 02:46:54 UTC
I have updated to version evolution-2.30.1-8.fc13.x86_64 and it still crashes.

Comment 10 Samuel Irlapati 2010-06-08 02:57:29 UTC
I removed the evolution-rspam program to see if that would fix the problem. It does not, but here is the output.

/home/irlapati>evolution
(evolution:32400): e-data-server-DEBUG: Loading categories from "/home/irlapati/.evolution/categories.xml"
(evolution:32400): e-data-server-DEBUG: Loaded 28 categories
*** glibc detected *** evolution: munmap_chunk(): invalid pointer: 0x00007f3f3ac3dd3d ***
======= Backtrace: =========
/lib64/libc.so.6(+0x75726)[0x7f3f42641726]
/usr/lib64/evolution/2.30/libevolution-mail.so.0(+0x86d36)[0x7f3f3ac2ad36]
/lib64/libglib-2.0.so.0(g_hash_table_foreach+0x43)[0x3d8142d483]
/usr/lib64/evolution/2.30/libevolution-mail.so.0(+0x87dd9)[0x7f3f3ac2bdd9]
/usr/lib64/evolution/2.30/libevolution-mail.so.0(+0x78c38)[0x7f3f3ac1cc38]
/lib64/libglib-2.0.so.0[0x3d81466d4b]
/lib64/libglib-2.0.so.0[0x3d81464e84]
/lib64/libpthread.so.0(+0x7761)[0x7f3f42b5a761]
/lib64/libc.so.6(clone+0x6d)[0x7f3f426ad4dd]
======= Memory map: ========
00400000-00404000 r-xp 00000000 08:11 1804863                            /usr/bin/evolution
00604000-00605000 rw-p 00004000 08:11 1804863                            /usr/bin/evolution
0084f000-01781000 rw-p 00000000 00:00 0                                  [heap]
35da600000-35da604000 r-xp 00000000 08:11 3965234                        /lib64/libuuid.so.1.3.0
35da604000-35da803000 ---p 00004000 08:11 3965234                        /lib64/libuuid.so.1.3.0
35da803000-35da804000 rw-p 00003000 08:11 3965234                        /lib64/libuuid.so.1.3.0
35daa00000-35daa07000 r-xp 00000000 08:11 1829539                        /usr/lib64/libSM.so.6.0.0
35daa07000-35dac07000 ---p 00007000 08:11 1829539                        /usr/lib64/libSM.so.6.0.0
35dac07000-35dac08000 rw-p 00007000 08:11 1829539                        /usr/lib64/libSM.so.6.0.0
35db200000-35db25a000 r-xp 00000000 08:11 3965357                        /lib64/libfreebl3.so
35db25a000-35db459000 ---p 0005a000 08:11 3965357                        /lib64/libfreebl3.so
35db459000-35db45b000 rw-p 00059000 08:11 3965357                        /lib64/libfreebl3.so
35db45b000-35db45f000 rw-p 00000000 00:00 0 
35db600000-35db619000 r-xp 00000000 08:11 1810876                        /usr/lib64/libsasl2.so.2.0.23
35db619000-35db819000 ---p 00019000 08:11 1810876                        /usr/lib64/libsasl2.so.2.0.23
35db819000-35db81a000 rw-p 00019000 08:11 1810876                        /usr/lib64/libsasl2.so.2.0.23
35dba00000-35dba09000 r-xp 00000000 08:11 1805526                        /usr/lib64/libstartup-notification-1.so.0.0.0
35dba09000-35dbc08000 ---p 00009000 08:11 1805526                        /usr/lib64/libstartup-notification-1.so.0.0.0
35dbc08000-35dbc09000 rw-p 00008000 08:11 1805526                        /usr/lib64/libstartup-notification-1.so.0.0.0
35dbe00000-35dbe28000 r-xp 00000000 08:11 1814766                        /usr/lib64/libgnome-desktop-2.so.17.1.0
35dbe28000-35dc027000 ---p 00028000 08:11 1814766                        /usr/lib64/libgnome-desktop-2.so.17.1.0
35dc027000-35dc029000 rw-p 00027000 08:11 1814766                        /usr/lib64/libgnome-desktop-2.so.17.1.0
35dc200000-35dc26d000 r-xp 00000000 08:11 1805137                        /usr/lib64/libbonoboui-2.so.0.0.0
35dc26d000-35dc46c000 ---p 0006d000 08:11 1805137                        /usr/lib64/libbonoboui-2.so.0.0.0
35dc46c000-35dc471000 rw-p 0006c000 08:11 1805137                        /usr/lib64/libbonoboui-2.so.0.0.0
35dc600000-35dc60f000 r-xp 00000000 08:11 1823142                        /usr/lib64/libcanberra.so.0.2.3
35dc60f000-35dc80f000 ---p 0000f000 08:11 1823142                        /usr/lib64/libcanberra.so.0.2.3
35dc80f000-35dc810000 rw-p 0000f000 08:11 1823142                        /usr/lib64/libcanberra.so.0.2.3
35dca00000-35dca04000 r-xp 00000000 08:11 1818319                        /usr/lib64/libcanberra-gtk.so.0.1.6
35dca04000-35dcc03000 ---p 00004000 08:11 1818319                        /usr/lib64/libcanberra-gtk.so.0.1.6
35dcc03000-35dcc04000 rw-p 00003000 08:11 1818319                        /usr/lib64/libcanberra-gtk.so.0.1.6
35dce00000-35dce99000 r-xp 00000000 08:11 1832251                        /usr/lib64/libgnomeui-2.so.0.2400.3
35dce99000-35dd098000 ---p 00099000 08:11 1832251                        /usr/lib64/libgnomeui-2.so.0.2400.3
35dd098000-35dd09e000 rw-p 00098000 08:11 1832251                        /usr/lib64/libgnomeui-2.so.0.2400.3
35dd200000-35dd216000 r-xp 00000000 08:11 1832256                        /usr/lib64/libgpilotd.so.2.2.0
35dd216000-35dd415000 ---p 00016000 08:11 1832256                        /usr/lib64/libgpilotd.so.2.2.0
35dd415000-35dd419000 rw-p 00015000 08:11 1832256                        /usr/lib64/libgpilotd.so.2.2.0
35dd600000-35dd638000 r-xp 00000000 08:11 1817224                        /usr/lib64/libedataserverui-1.2.so.8.1.1
35dd638000-35dd838000 ---p 00038000 08:11 1817224                        /usr/lib64/libedataserverui-1.2.so.8.1.1
35dd838000-35dd83a000 rw-p 00038000 08:11 1817224                        /usr/lib64/libedataserverui-1.2.so.8.1.1
35dda00000-35dda2b000 r-xp 00000000 08:11 1819912                        /usr/lib64/libedataserver-1.2.so.11.0.1
35dda2b000-35ddc2a000 ---p 0002b000 08:11 1819912                        /usr/lib64/libedataserver-1.2.so.11.0.1
35ddc2a000-35ddc2c000 rw-p 0002a000 08:11 1819912                        /usr/lib64/libedataserver-1.2.so.11.0.1
35dde00000-35dde06000 r-xp 00000000 08:11 1832381                        /usr/lib64/libgpilotdcm.so.2.1.0
35dde06000-35de006000 ---p 00006000 08:11 1832381                        /usr/lib64/libgpilotdcm.so.2.1.0
35de006000-35de007000 rw-p 00006000 08:11 1832381                        /usr/lib64/libgpilotdcm.so.2.1.0
35de200000-35de229000 r-xp 00000000 08:11 1832349                        /usr/lib64/libebook-1.2.so.9.3.1
35de229000-35de429000 ---p 00029000 08:11 1832349                        /usr/lib64/libebook-1.2.so.9.3.1
35de429000-35de42d000 rw-p 00029000 08:11 1832349                        /usr/lib64/libebook-1.2.so.9.3.1
35de600000-35de668000 r-xp 00000000 08:11 1832348                        /usr/lib64/libcamel-1.2.so.14.0.1
35de668000-35de868000 ---p 00068000 08:11 1832348                        /usr/lib64/libcamel-1.2.so.14.0.1
35de868000-35de881000 rw-p 00068000 08:11 1832348                        /usr/lib64/libcamel-1.2.so.14.0.1
35de881000-35de882000 rw-p 00000000 00:00 0 
35dea00000-35dea15000 r-xp 00000000 08:11 1814725                        /usr/lib64/libgpilotdconduit.so.2.0.4
35dea15000-35dec15000 ---p 00015000 08:11 1814725                        /usr/lib64/libgpilotdconduit.so.2.0.4
35dec15000-35dec16000 rw-p 00015000 08:11 1814725                        /usr/lib64/libgpilotdconduit.so.2.0.4
35dee00000-35dee06000 r-xp 00000000 08:11 1832383                        /usr/lib64/libebackend-1.2.so.0.0.1
35dee06000-35df006000 ---p 00006000 08:11 1832383                        /usr/lib64/libebackend-1.2.so.0.0.1
35df006000-35df007000 rw-p 00006000 08:11 1832383                        /usr/lib64/libebackend-1.2.so.0.0.1
35df200000-35df238000 r-xp 00000000 08:11 1814833                        /usr/lib64/libecal-1.2.so.7.2.2
35df238000-35df438000 ---p 00038000 08:11 1814833                        /usr/lib64/libecal-1.2.so.7.2.2
35df438000-35df43a000 rw-p 00038000 08:11 1814833                        /usr/lib64/libecal-1.2.so.7.2.2Aborted (core dumped)
/home/irlapati>

Comment 11 Milan Crha 2010-06-14 15:31:49 UTC
Thanks for a bug report. I cannot reproduce it myself, thus it seems it'll be something with the update process. As stated in the bug #601205, could you install debug info packages for evolution (and evolution-data-server) and update the backtrace, please? With debug info packages for your current evolution version it'll show function names and such instead of libevolution-mail.so.0(+0x86d36)[0x7f3f3ac2ad36] in the traces.

You can get the trace by this command, for example:
   $ gdb evolution --ex r --ex "t a a bt" --ex q
and when it's done just answer 'y' to quit gdb.

Thanks in advance.

Comment 12 Samuel Irlapati 2010-06-14 21:23:00 UTC
GNU gdb (GDB) Fedora (7.1-26.fc13)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/evolution...Reading symbols from /usr/lib/debug/usr/bin/evolution.debug...done.
done.
Starting program: /usr/bin/evolution 
[Thread debugging using libthread_db enabled]
(evolution:28690): e-data-server-DEBUG: Loading categories from "/home/irlapati/.evolution/categories.xml"
(evolution:28690): e-data-server-DEBUG: Loaded 28 categories
[New Thread 0x7ffff070f710 (LWP 28697)]
[New Thread 0x7fffefd0e710 (LWP 28698)]
[New Thread 0x7fffef0e9710 (LWP 28699)]
[New Thread 0x7fffee6e8710 (LWP 28700)]
[New Thread 0x7fffedce7710 (LWP 28701)]
[New Thread 0x7fffed2e6710 (LWP 28702)]
[New Thread 0x7fffd7fff710 (LWP 28703)]
[New Thread 0x7fffd75fe710 (LWP 28704)]
[New Thread 0x7fffd6bfd710 (LWP 28705)]
[Thread 0x7fffd75fe710 (LWP 28704) exited]
[Thread 0x7fffedce7710 (LWP 28701) exited]
[New Thread 0x7fffedce7710 (LWP 28706)]
[New Thread 0x7fffd75fe710 (LWP 28707)]
[New Thread 0x7fffbed42710 (LWP 28708)]
[New Thread 0x7fffbe341710 (LWP 28709)]
[Thread 0x7fffd75fe710 (LWP 28707) exited]
[Thread 0x7fffbed42710 (LWP 28708) exited]
[Thread 0x7fffbe341710 (LWP 28709) exited]
[New Thread 0x7fffbe341710 (LWP 28720)]
[Thread 0x7fffbe341710 (LWP 28720) exited]
[New Thread 0x7fffbe341710 (LWP 28721)]
[New Thread 0x7fffbed42710 (LWP 28722)]
[New Thread 0x7fffd75fe710 (LWP 28723)]
[New Thread 0x7fffbcd19710 (LWP 28724)]
[New Thread 0x7fffb7fff710 (LWP 28725)]
[New Thread 0x7fffb6de7710 (LWP 28726)]
[Thread 0x7fffbcd19710 (LWP 28724) exited]
[Thread 0x7fffd75fe710 (LWP 28723) exited]
[Thread 0x7fffb7fff710 (LWP 28725) exited]
[New Thread 0x7fffb7fff710 (LWP 28727)]
[Thread 0x7fffb7fff710 (LWP 28727) exited]
[New Thread 0x7fffb7fff710 (LWP 28728)]
[New Thread 0x7fffd75fe710 (LWP 28729)]
[New Thread 0x7fffbcd19710 (LWP 28730)]

Program received signal SIGABRT, Aborted.
[Switching to Thread 0x7fffb7fff710 (LWP 28728)]
0x00000032342329a5 in raise () from /lib64/libc.so.6

Thread 25 (Thread 0x7fffbcd19710 (LWP 28730)):
#0  0x0000003234a0b729 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003236202382 in ?? () from /lib64/libgthread-2.0.so.0
#2  0x0000003235a170b1 in ?? () from /lib64/libglib-2.0.so.0
#3  0x0000003235a66d81 in ?? () from /lib64/libglib-2.0.so.0
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 24 (Thread 0x7fffd75fe710 (LWP 28729)):
#0  0x0000003234a0dfb4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1  0x0000003234a092c5 in _L_lock_868 () from /lib64/libpthread.so.0
#2  0x0000003234a09197 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3  0x0000003235a659ac in g_static_rec_mutex_lock ()
   from /lib64/libglib-2.0.so.0
#4  0x00007fffef105793 in camel_imapx_server_connect (is=0x7f49a0, connect=
    1, ex=0x7fffd75fdb90) at camel-imapx-server.c:3918
#5  0x00007fffef0fdf8e in imapx_sync (folder=0x14ba620, expunge=0, ex=
    0x7fffd75fdb90) at camel-imapx-folder.c:163
#6  0x0000003253a31464 in camel_folder_sync (folder=0x14ba620, expunge=0, 
    ex=0x7fffd75fdb90) at camel-folder.c:328
#7  0x00007ffff0e5b75d in refresh_folders_exec (m=0x1215f00)
    at mail-send-recv.c:888
#8  0x00007ffff0e54c38 in mail_msg_proxy (msg=0x1215f00) at mail-mt.c:471
#9  0x0000003235a66d4b in ?? () from /lib64/libglib-2.0.so.0
#10 0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#11 0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#12 0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x7fffb7fff710 (LWP 28728)):
#0  0x00000032342329a5 in raise () from /lib64/libc.so.6
#1  0x0000003234234185 in abort () from /lib64/libc.so.6
#2  0x000000323426fe0b in __libc_message () from /lib64/libc.so.6
#3  0x0000003234275726 in malloc_printerr () from /lib64/libc.so.6
#4  0x00007ffff0e62d36 in free_message_info_data (
    uid=<value optimized out>, data=0x7fffa44f30b0, sort_data=
    0x7fffb7ffeb60) at message-list.c:4317
#5  0x0000003235a2d483 in g_hash_table_foreach ()
   from /lib64/libglib-2.0.so.0
#6  0x00007ffff0e63dd9 in ml_sort_uids_by_tree (m=0x7fffcc00cc00)
    at message-list.c:4388
#7  regen_list_exec (m=0x7fffcc00cc00) at message-list.c:4628
#8  0x00007ffff0e54c38 in mail_msg_proxy (msg=0x7fffcc00cc00)
    at mail-mt.c:471
#9  0x0000003235a66d4b in ?? () from /lib64/libglib-2.0.so.0
#10 0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#11 0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#12 0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7fffb6de7710 (LWP 28726)):
#0  0x00000032342d7de3 in poll () from /lib64/libc.so.6
#1  0x0000003243e256ef in ?? () from /lib64/libnspr4.so
#2  0x00007fffef10606a in imapx_parser_thread (d=0x7f47c0)
    at camel-imapx-server.c:3714
#3  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#4  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#5  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7fffbed42710 (LWP 28722)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0x132eeb8)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7fffbe341710 (LWP 28721)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0x131b378)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fffedce7710 (LWP 28706)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003252a3d09e in camel_msgport_pop (msgport=0xdda7a0)
    at camel-msgport.c:409
#3  0x00007fffef0fe588 in imapx_run_job (is=<value optimized out>, job=
    0x7fffdc2f1d00) at camel-imapx-server.c:1758
#4  0x00007fffef0ff42b in camel_imapx_server_refresh_info (is=0x7f47c0, 
    folder=0x14a6a10, ex=<value optimized out>) at camel-imapx-server.c:4200
#5  0x0000003253a3134d in camel_folder_refresh_info (folder=0x14a6a10, ex=
    0x7fffedce6b90) at camel-folder.c:352
#6  0x00007ffff0e5b770 in refresh_folders_exec (m=0x1215d80)
    at mail-send-recv.c:890
#7  0x00007ffff0e54c38 in mail_msg_proxy (msg=0x1215d80) at mail-mt.c:471
#8  0x0000003235a66d4b in ?? () from /lib64/libglib-2.0.so.0
#9  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#10 0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#11 0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fffd6bfd710 (LWP 28705)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0x96e7f8)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fffd7fff710 (LWP 28703)):
#0  0x00000032342d7de3 in poll () from /lib64/libc.so.6
#1  0x0000003243e256ef in ?? () from /lib64/libnspr4.so
#2  0x0000003253a4db46 in stream_read (stream=<value optimized out>, buffer=
    0x7fffd0040880 "* CAPABILITY IMAP4rev1 UNSELECT IDLE NAMESPACE QUOTA XLIST CHILDREN XYZZY SASL-IR AUTH=XOAUTH\r\nA00006 OK Thats all she wrote! u25if7101869wfh.28\r\n", n=4096) at camel-tcp-stream-ssl.c:376
#3  0x00007fffef0f497f in stream_fill (is=0xbdb4d0)
    at camel-imapx-stream.c:61
#4  0x00007fffef0f4ccc in camel_imapx_stream_token (is=0xbdb4d0, data=
    0x7fffd7ffea88, len=0x7fffd7ffea9c, ex=0x7fffd0004870)
    at camel-imapx-stream.c:487
#5  0x00007fffef1042f1 in imapx_step (is=0x7f49a0, ex=0x7fffd0004870)
    at camel-imapx-server.c:1638
#6  0x00007fffef105224 in imapx_command_run (is=0x7f49a0, ic=0x7fffd0054430)
    at camel-imapx-server.c:1665
#7  0x00007fffef105851 in imapx_reconnect (is=0x7f49a0, 
    connect=<value optimized out>, ex=0x7fffdc003bc0)
    at camel-imapx-server.c:2322
#8  camel_imapx_server_connect (is=0x7f49a0, connect=<value optimized out>, 
    ex=0x7fffdc003bc0) at camel-imapx-server.c:3926
#9  0x0000003253a42fa3 in camel_service_connect (service=0x644950, ex=
    0x7fffdc003bc0) at camel-service.c:364
#10 0x00007fffef0fb9ed in imapx_refresh_finfo (
    session=<value optimized out>, msg=0x7fffdc003b60)
    at camel-imapx-store.c:1157
#11 0x0000003253a44b1b in session_thread_proxy (msg=0x7fffdc003b60, session=
    0x67bec0) at camel-session.c:597
#12 0x0000003235a66d4b in ?? () from /lib64/libglib-2.0.so.0
#13 0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#14 0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#15 0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fffed2e6710 (LWP 28702)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0x91be38)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fffee6e8710 (LWP 28700)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0x99f268)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fffef0e9710 (LWP 28699)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0x9546f8)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fffefd0e710 (LWP 28698)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0x7872b8)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7ffff070f710 (LWP 28697)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0x722f68)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7ffff7fa2940 (LWP 28690)):
#0  0x00000032342d7de3 in poll () from /lib64/libc.so.6
#1  0x0000003235a3f849 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a3fff5 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#3  0x000000323bf493c7 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#4  0x0000000000402654 in main (argc=1, argv=0x7fffffffe298) at main.c:578
A debugging session is active.

	Inferior 1 [process 28690] will be killed.

Quit anyway? (y or n)

Comment 13 Samuel Irlapati 2010-06-14 21:23:23 UTC
Is the above what you were looking for?

Comment 14 Milan Crha 2010-06-15 13:40:14 UTC
Thanks for the update. It's exactly what I was looking for. I see you are using IMAPX (IMAP+), could you try to run evolution in offline (evolution --offline), disable the account and then run evolution in online and configure your account with an IMAP provider, not IMAP+? I'm wondering how much is the provider in cause of your issues.

But before that, could you also get a valgrind output for the crasher, please? You can do it with these two commands:
   $ export G_SLICE=always-malloc
   $ valgrind evolution &>evo.log

and attach the resulting evo.log file to the bug report. It may show us where the memory was freed. Then you can try with the (standard) IMAP provider. Thanks in advance.

Note the IMAP+ provider is under construction, and is very new in the Evolution.

Comment 15 Samuel Irlapati 2010-06-15 14:57:43 UTC
It seems to stay up when i use valgrind. There is no crash.

Comment 16 Samuel Irlapati 2010-06-15 15:04:41 UTC
Here is the crash with IMAP, with gdb and not valgrind. Also it is in offline mode.

GNU gdb (GDB) Fedora (7.1-26.fc13)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/evolution...Reading symbols from /usr/lib/debug/usr/bin/evolution.debug...done.
done.
Starting program: /usr/bin/evolution 
[Thread debugging using libthread_db enabled]
(evolution:18850): e-data-server-DEBUG: Loading categories from "/home/irlapati/.evolution/categories.xml"
(evolution:18850): e-data-server-DEBUG: Loaded 28 categories
[New Thread 0x7ffff070f710 (LWP 18853)]
[New Thread 0x7fffefd0e710 (LWP 18854)]
[New Thread 0x7fffef0e3710 (LWP 18855)]
[New Thread 0x7fffee6e2710 (LWP 18856)]
[New Thread 0x7fffedce1710 (LWP 18857)]
[New Thread 0x7fffed2e0710 (LWP 18858)]
[New Thread 0x7fffd7fff710 (LWP 18859)]
[New Thread 0x7fffd75fe710 (LWP 18860)]
[Thread 0x7fffd75fe710 (LWP 18860) exited]
[New Thread 0x7fffd75fe710 (LWP 18861)]
[Thread 0x7fffd75fe710 (LWP 18861) exited]
[New Thread 0x7fffd75fe710 (LWP 18862)]
[Thread 0x7fffd75fe710 (LWP 18862) exited]
[New Thread 0x7fffd75fe710 (LWP 18863)]
[Thread 0x7fffd75fe710 (LWP 18863) exited]
[Thread 0x7fffedce1710 (LWP 18857) exited]
[New Thread 0x7fffedce1710 (LWP 18864)]
[New Thread 0x7fffd75fe710 (LWP 18865)]
[New Thread 0x7fffc3ccd710 (LWP 18866)]
[New Thread 0x7fffc32cc710 (LWP 18867)]
[Thread 0x7fffd75fe710 (LWP 18865) exited]
[Thread 0x7fffc32cc710 (LWP 18867) exited]
[Thread 0x7fffc3ccd710 (LWP 18866) exited]
[New Thread 0x7fffc32cc710 (LWP 18879)]
[Thread 0x7fffc32cc710 (LWP 18879) exited]
[New Thread 0x7fffc32cc710 (LWP 18880)]
[Thread 0x7fffc32cc710 (LWP 18880) exited]
[New Thread 0x7fffc32cc710 (LWP 18881)]

Program received signal SIGABRT, Aborted.
[Switching to Thread 0x7fffedce1710 (LWP 18864)]
0x00000032342329a5 in raise () from /lib64/libc.so.6

Thread 19 (Thread 0x7fffc32cc710 (LWP 18881)):
#0  0x0000003234a0b729 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003236202382 in ?? () from /lib64/libgthread-2.0.so.0
#2  0x0000003235a170b1 in ?? () from /lib64/libglib-2.0.so.0
#3  0x0000003235a66d81 in ?? () from /lib64/libglib-2.0.so.0
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7fffedce1710 (LWP 18864)):
#0  0x00000032342329a5 in raise () from /lib64/libc.so.6
#1  0x0000003234234185 in abort () from /lib64/libc.so.6
#2  0x000000323426fe0b in __libc_message () from /lib64/libc.so.6
#3  0x0000003234275726 in malloc_printerr () from /lib64/libc.so.6
#4  0x00007ffff0e62d36 in free_message_info_data (
    uid=<value optimized out>, data=0x7fffdc38ee80, sort_data=
    0x7fffedce0b60) at message-list.c:4317
#5  0x0000003235a2d483 in g_hash_table_foreach ()
   from /lib64/libglib-2.0.so.0
#6  0x00007ffff0e63dd9 in ml_sort_uids_by_tree (m=0x132c780)
    at message-list.c:4388
#7  regen_list_exec (m=0x132c780) at message-list.c:4628
#8  0x00007ffff0e54c38 in mail_msg_proxy (msg=0x132c780) at mail-mt.c:471
#9  0x0000003235a66d4b in ?? () from /lib64/libglib-2.0.so.0
#10 0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#11 0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#12 0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fffd7fff710 (LWP 18859)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dda in sync_request_thread_cb (cFile=0x99b2f8)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fffed2e0710 (LWP 18858)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0x87b5d8)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fffee6e2710 (LWP 18856)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0x9c84c8)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fffef0e3710 (LWP 18855)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0x9b7138)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fffefd0e710 (LWP 18854)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0x77c678)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7ffff070f710 (LWP 18853)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0x718378)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7ffff7fa2940 (LWP 18850)):
#0  0x00000032342d7de3 in poll () from /lib64/libc.so.6
#1  0x0000003235a3f849 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a3fff5 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#3  0x000000323bf493c7 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#4  0x0000000000402654 in main (argc=1, argv=0x7fffffffe278) at main.c:578
A debugging session is active.

	Inferior 1 [process 18850] will be killed.

Quit anyway? (y or n)

Comment 17 Samuel Irlapati 2010-06-15 15:51:01 UTC
Created attachment 424204 [details]
valgrind output

Looks like it crashed. I just had to wait long enough.

Comment 18 Samuel Irlapati 2010-06-15 18:23:37 UTC
I think i might have narrowed down what is causing the crash. It is when i group messages by thread. Here is the output from gdb when i get it up and running and then click on "group by thread" which causes the crash.

GNU gdb (GDB) Fedora (7.1-26.fc13)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/evolution...Reading symbols from /usr/lib/debug/usr/bin/evolution.debug...done.
done.
Starting program: /usr/bin/evolution 
[Thread debugging using libthread_db enabled]
(evolution:26298): e-data-server-DEBUG: Loading categories from "/home/irlapati/.evolution/categories.xml"
(evolution:26298): e-data-server-DEBUG: Loaded 28 categories
[New Thread 0x7ffff070f710 (LWP 26301)]
[New Thread 0x7fffefd0e710 (LWP 26302)]
[New Thread 0x7fffef30d710 (LWP 26303)]
[Thread 0x7fffef30d710 (LWP 26303) exited]
[New Thread 0x7fffef30d710 (LWP 26304)]
[Thread 0x7fffef30d710 (LWP 26304) exited]
[New Thread 0x7fffef30d710 (LWP 26305)]
[Thread 0x7fffef30d710 (LWP 26305) exited]
[New Thread 0x7fffef30d710 (LWP 26306)]
[Thread 0x7fffef30d710 (LWP 26306) exited]
[New Thread 0x7fffef30d710 (LWP 26307)]
[Thread 0x7fffef30d710 (LWP 26307) exited]
[New Thread 0x7fffef30d710 (LWP 26308)]
[Thread 0x7fffef30d710 (LWP 26308) exited]
[New Thread 0x7fffef30d710 (LWP 26309)]
[Thread 0x7fffef30d710 (LWP 26309) exited]
[New Thread 0x7fffef30d710 (LWP 26310)]
[New Thread 0x7fffee90c710 (LWP 26311)]
[New Thread 0x7fffedf0b710 (LWP 26312)]
[Thread 0x7fffedf0b710 (LWP 26312) exited]
[New Thread 0x7fffedf0b710 (LWP 26313)]
[Thread 0x7fffedf0b710 (LWP 26313) exited]
[New Thread 0x7fffedf0b710 (LWP 26314)]
[Thread 0x7fffedf0b710 (LWP 26314) exited]
[New Thread 0x7fffedf0b710 (LWP 26315)]
[Thread 0x7fffedf0b710 (LWP 26315) exited]
[New Thread 0x7fffedf0b710 (LWP 26316)]
[Thread 0x7fffedf0b710 (LWP 26316) exited]
[New Thread 0x7fffedf0b710 (LWP 26317)]
[Thread 0x7fffedf0b710 (LWP 26317) exited]
[New Thread 0x7fffedf0b710 (LWP 26318)]
[Thread 0x7fffedf0b710 (LWP 26318) exited]
[New Thread 0x7fffedf0b710 (LWP 26319)]
[Thread 0x7fffedf0b710 (LWP 26319) exited]
[New Thread 0x7fffedf0b710 (LWP 26320)]
[Thread 0x7fffedf0b710 (LWP 26320) exited]
[New Thread 0x7fffedf0b710 (LWP 26321)]
[Thread 0x7fffedf0b710 (LWP 26321) exited]
[New Thread 0x7fffedf0b710 (LWP 26322)]
[Thread 0x7fffedf0b710 (LWP 26322) exited]
[New Thread 0x7fffedf0b710 (LWP 26323)]
[Thread 0x7fffedf0b710 (LWP 26323) exited]
[New Thread 0x7fffedf0b710 (LWP 26324)]
[Thread 0x7fffedf0b710 (LWP 26324) exited]
[New Thread 0x7fffedf0b710 (LWP 26325)]
[Thread 0x7fffedf0b710 (LWP 26325) exited]
[New Thread 0x7fffedf0b710 (LWP 26326)]
[Thread 0x7fffedf0b710 (LWP 26326) exited]
[New Thread 0x7fffedf0b710 (LWP 26327)]
[Thread 0x7fffedf0b710 (LWP 26327) exited]
[New Thread 0x7fffedf0b710 (LWP 26328)]
[Thread 0x7fffedf0b710 (LWP 26328) exited]
[New Thread 0x7fffedf0b710 (LWP 26329)]
[Thread 0x7fffedf0b710 (LWP 26329) exited]
[New Thread 0x7fffedf0b710 (LWP 26330)]
[Thread 0x7fffedf0b710 (LWP 26330) exited]
[New Thread 0x7fffedf0b710 (LWP 26331)]
[Thread 0x7fffedf0b710 (LWP 26331) exited]
[New Thread 0x7fffedf0b710 (LWP 26332)]
[Thread 0x7fffedf0b710 (LWP 26332) exited]
[New Thread 0x7fffedf0b710 (LWP 26333)]
[Thread 0x7fffedf0b710 (LWP 26333) exited]
[New Thread 0x7fffedf0b710 (LWP 26334)]
[Thread 0x7fffedf0b710 (LWP 26334) exited]
[New Thread 0x7fffedf0b710 (LWP 26335)]
[Thread 0x7fffedf0b710 (LWP 26335) exited]
[New Thread 0x7fffedf0b710 (LWP 26336)]
[Thread 0x7fffedf0b710 (LWP 26336) exited]
[New Thread 0x7fffedf0b710 (LWP 26337)]
[Thread 0x7fffedf0b710 (LWP 26337) exited]
[New Thread 0x7fffedf0b710 (LWP 26338)]
[Thread 0x7fffedf0b710 (LWP 26338) exited]
[New Thread 0x7fffedf0b710 (LWP 26339)]
[Thread 0x7fffedf0b710 (LWP 26339) exited]
[New Thread 0x7fffedf0b710 (LWP 26340)]
[Thread 0x7fffedf0b710 (LWP 26340) exited]
[New Thread 0x7fffedf0b710 (LWP 26341)]
[Thread 0x7fffedf0b710 (LWP 26341) exited]
[New Thread 0x7fffedf0b710 (LWP 26342)]
[Thread 0x7fffedf0b710 (LWP 26342) exited]
[New Thread 0x7fffedf0b710 (LWP 26343)]
[Thread 0x7fffedf0b710 (LWP 26343) exited]
[New Thread 0x7fffedf0b710 (LWP 26344)]
[Thread 0x7fffedf0b710 (LWP 26344) exited]
[New Thread 0x7fffedf0b710 (LWP 26345)]
[Thread 0x7fffedf0b710 (LWP 26345) exited]
[New Thread 0x7fffedf0b710 (LWP 26346)]
[Thread 0x7fffedf0b710 (LWP 26346) exited]
[New Thread 0x7fffedf0b710 (LWP 26347)]
[Thread 0x7fffedf0b710 (LWP 26347) exited]
[New Thread 0x7fffedf0b710 (LWP 26348)]
[Thread 0x7fffedf0b710 (LWP 26348) exited]
[New Thread 0x7fffedf0b710 (LWP 26349)]
[Thread 0x7fffedf0b710 (LWP 26349) exited]
[New Thread 0x7fffedf0b710 (LWP 26350)]
[Thread 0x7fffedf0b710 (LWP 26350) exited]
[New Thread 0x7fffedf0b710 (LWP 26351)]
[Thread 0x7fffedf0b710 (LWP 26351) exited]
[New Thread 0x7fffedf0b710 (LWP 26352)]
[Thread 0x7fffedf0b710 (LWP 26352) exited]
[New Thread 0x7fffedf0b710 (LWP 26353)]
[Thread 0x7fffedf0b710 (LWP 26353) exited]
[New Thread 0x7fffedf0b710 (LWP 26354)]
[Thread 0x7fffedf0b710 (LWP 26354) exited]
[New Thread 0x7fffedf0b710 (LWP 26355)]
[Thread 0x7fffedf0b710 (LWP 26355) exited]
[New Thread 0x7fffedf0b710 (LWP 26356)]
[Thread 0x7fffedf0b710 (LWP 26356) exited]
[New Thread 0x7fffedf0b710 (LWP 26357)]
[Thread 0x7fffedf0b710 (LWP 26357) exited]
[New Thread 0x7fffedf0b710 (LWP 26358)]
[Thread 0x7fffedf0b710 (LWP 26358) exited]
[New Thread 0x7fffedf0b710 (LWP 26359)]
[Thread 0x7fffedf0b710 (LWP 26359) exited]
[New Thread 0x7fffedf0b710 (LWP 26360)]
[Thread 0x7fffedf0b710 (LWP 26360) exited]
[New Thread 0x7fffedf0b710 (LWP 26361)]
[Thread 0x7fffedf0b710 (LWP 26361) exited]
[New Thread 0x7fffedf0b710 (LWP 26362)]
[Thread 0x7fffedf0b710 (LWP 26362) exited]
[New Thread 0x7fffedf0b710 (LWP 26363)]
[Thread 0x7fffedf0b710 (LWP 26363) exited]
[New Thread 0x7fffedf0b710 (LWP 26364)]
[Thread 0x7fffedf0b710 (LWP 26364) exited]
[New Thread 0x7fffedf0b710 (LWP 26365)]
[Thread 0x7fffedf0b710 (LWP 26365) exited]
[New Thread 0x7fffedf0b710 (LWP 26366)]
[Thread 0x7fffedf0b710 (LWP 26366) exited]
[New Thread 0x7fffedf0b710 (LWP 26367)]
[Thread 0x7fffedf0b710 (LWP 26367) exited]
[New Thread 0x7fffedf0b710 (LWP 26368)]
[Thread 0x7fffedf0b710 (LWP 26368) exited]
[New Thread 0x7fffedf0b710 (LWP 26369)]
[Thread 0x7fffedf0b710 (LWP 26369) exited]
[New Thread 0x7fffedf0b710 (LWP 26370)]
[Thread 0x7fffedf0b710 (LWP 26370) exited]
[New Thread 0x7fffedf0b710 (LWP 26371)]
[Thread 0x7fffedf0b710 (LWP 26371) exited]
[New Thread 0x7fffedf0b710 (LWP 26372)]
[Thread 0x7fffedf0b710 (LWP 26372) exited]
[New Thread 0x7fffedf0b710 (LWP 26373)]
[Thread 0x7fffedf0b710 (LWP 26373) exited]
[New Thread 0x7fffedf0b710 (LWP 26374)]
[Thread 0x7fffedf0b710 (LWP 26374) exited]
[New Thread 0x7fffedf0b710 (LWP 26375)]
[Thread 0x7fffedf0b710 (LWP 26375) exited]
[New Thread 0x7fffedf0b710 (LWP 26376)]
[Thread 0x7fffedf0b710 (LWP 26376) exited]
[New Thread 0x7fffedf0b710 (LWP 26377)]
[Thread 0x7fffedf0b710 (LWP 26377) exited]
[New Thread 0x7fffedf0b710 (LWP 26378)]
[Thread 0x7fffedf0b710 (LWP 26378) exited]
[New Thread 0x7fffedf0b710 (LWP 26379)]
[Thread 0x7fffedf0b710 (LWP 26379) exited]
[New Thread 0x7fffedf0b710 (LWP 26380)]
[New Thread 0x7fffed2e6710 (LWP 26381)]
[New Thread 0x7fffd7fff710 (LWP 26382)]
[New Thread 0x7fffd75fe710 (LWP 26383)]
[New Thread 0x7fffd6bfd710 (LWP 26384)]
[New Thread 0x7fffd61fc710 (LWP 26385)]
[New Thread 0x7fffd57fb710 (LWP 26386)]
[Thread 0x7fffd61fc710 (LWP 26385) exited]
[Thread 0x7fffd7fff710 (LWP 26382) exited]
[New Thread 0x7fffd7fff710 (LWP 26387)]
[New Thread 0x7fffd61fc710 (LWP 26388)]
[New Thread 0x7fffb5c29710 (LWP 26389)]
[New Thread 0x7fffb5228710 (LWP 26390)]
[New Thread 0x7fffb4827710 (LWP 26391)]
[New Thread 0x7fffb3e26710 (LWP 26392)]
[Thread 0x7fffb4827710 (LWP 26391) exited]
[Thread 0x7fffb3e26710 (LWP 26392) exited]
[Thread 0x7fffb5228710 (LWP 26390) exited]
[Thread 0x7fffd61fc710 (LWP 26388) exited]
[Thread 0x7fffb5c29710 (LWP 26389) exited]
[Thread 0x7fffd7fff710 (LWP 26387) exited]
[New Thread 0x7fffd7fff710 (LWP 26412)]
[New Thread 0x7fffb5c29710 (LWP 26413)]
[Thread 0x7fffb5c29710 (LWP 26413) exited]
[New Thread 0x7fffb5c29710 (LWP 26414)]
[New Thread 0x7fffd61fc710 (LWP 26415)]
[New Thread 0x7fffb4601710 (LWP 26416)]
[New Thread 0x7fffb3c00710 (LWP 26417)]
[New Thread 0x7fffb29e7710 (LWP 26418)]
[New Thread 0x7fffb19d6710 (LWP 26419)]
[Thread 0x7fffb3c00710 (LWP 26417) exited]
[Thread 0x7fffb4601710 (LWP 26416) exited]
[Thread 0x7fffb19d6710 (LWP 26419) exited]
[New Thread 0x7fffb19d6710 (LWP 26420)]
[New Thread 0x7fffb4601710 (LWP 26421)]
[New Thread 0x7fffb3c00710 (LWP 26422)]
[New Thread 0x7fffb0d93710 (LWP 26423)]
[New Thread 0x7fffa3fff710 (LWP 26424)]
[Thread 0x7fffa3fff710 (LWP 26424) exited]
[New Thread 0x7fffa3fff710 (LWP 26425)]
[New Thread 0x7fffa33f8710 (LWP 26426)]
[Thread 0x7fffa33f8710 (LWP 26426) exited]
[Thread 0x7fffd75fe710 (LWP 26383) exited]
[New Thread 0x7fffd75fe710 (LWP 26428)]
[Thread 0x7fffd75fe710 (LWP 26428) exited]
[Thread 0x7fffb3c00710 (LWP 26422) exited]
[New Thread 0x7fffb3c00710 (LWP 26429)]
[New Thread 0x7fffd75fe710 (LWP 26430)]
[Thread 0x7fffb19d6710 (LWP 26420) exited]
[Thread 0x7fffd7fff710 (LWP 26412) exited]
[New Thread 0x7fffd7fff710 (LWP 26432)]
[Thread 0x7fffd7fff710 (LWP 26432) exited]
[New Thread 0x7fffd7fff710 (LWP 26433)]
[Thread 0x7fffd7fff710 (LWP 26433) exited]
[New Thread 0x7fffd7fff710 (LWP 26434)]
[New Thread 0x7fffb19d6710 (LWP 26435)]
[Thread 0x7fffb19d6710 (LWP 26435) exited]
[Thread 0x7fffb4601710 (LWP 26421) exited]
[Thread 0x7fffd7fff710 (LWP 26434) exited]
[New Thread 0x7fffd7fff710 (LWP 26440)]
[Thread 0x7fffd7fff710 (LWP 26440) exited]
[New Thread 0x7fffd7fff710 (LWP 26441)]
[New Thread 0x7fffb4601710 (LWP 26442)]
[New Thread 0x7fffb19d6710 (LWP 26443)]
[Thread 0x7fffb19d6710 (LWP 26443) exited]
[New Thread 0x7fffb19d6710 (LWP 26444)]
[Thread 0x7fffb19d6710 (LWP 26444) exited]
[New Thread 0x7fffb19d6710 (LWP 26445)]
[Thread 0x7fffb19d6710 (LWP 26445) exited]
[Thread 0x7fffb4601710 (LWP 26442) exited]
[Thread 0x7fffd7fff710 (LWP 26441) exited]

Program received signal SIGABRT, Aborted.
[Switching to Thread 0x7fffd75fe710 (LWP 26430)]
0x00000032342329a5 in raise () from /lib64/libc.so.6

Thread 111 (Thread 0x7fffd75fe710 (LWP 26430)):
#0  0x00000032342329a5 in raise () from /lib64/libc.so.6
#1  0x0000003234234185 in abort () from /lib64/libc.so.6
#2  0x000000323426fe0b in __libc_message () from /lib64/libc.so.6
#3  0x0000003234275726 in malloc_printerr () from /lib64/libc.so.6
#4  0x00007ffff0e62d36 in free_message_info_data (
    uid=<value optimized out>, data=0x7fffc43864e0, sort_data=
    0x7fffd75fdb60) at message-list.c:4317
#5  0x0000003235a2d483 in g_hash_table_foreach ()
   from /lib64/libglib-2.0.so.0
#6  0x00007ffff0e63dd9 in ml_sort_uids_by_tree (m=0x24e1600)
    at message-list.c:4388
#7  regen_list_exec (m=0x24e1600) at message-list.c:4628
#8  0x00007ffff0e54c38 in mail_msg_proxy (msg=0x24e1600) at mail-mt.c:471
#9  0x0000003235a66d4b in ?? () from /lib64/libglib-2.0.so.0
#10 0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#11 0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#12 0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 110 (Thread 0x7fffb3c00710 (LWP 26429)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003252a3d09e in camel_msgport_pop (msgport=0x7fffa8000ce0)
    at camel-msgport.c:409
#3  0x00007fffed2fb588 in imapx_run_job (is=<value optimized out>, job=
    0x7fffa8001100) at camel-imapx-server.c:1758
#4  0x00007fffed2fbfcb in camel_imapx_server_idle (data=0x7fffc4000a10)
    at camel-imapx-server.c:1837
#5  imapx_idle_thread (data=0x7fffc4000a10) at camel-imapx-server.c:1872
#6  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#7  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#8  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 107 (Thread 0x7fffa3fff710 (LWP 26425)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003252a3d09e in camel_msgport_pop (msgport=0x7fffa80086e0)
    at camel-msgport.c:409
#3  0x00007fffed2fb588 in imapx_run_job (is=<value optimized out>, job=
    0x7fffa8007430) at camel-imapx-server.c:1758
#4  0x00007fffed2fbfcb in camel_imapx_server_idle (data=0x7fffc4029870)
    at camel-imapx-server.c:1837
#5  imapx_idle_thread (data=0x7fffc4029870) at camel-imapx-server.c:1872
#6  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#7  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#8  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 105 (Thread 0x7fffb0d93710 (LWP 26423)):
#0  0x00000032342d7de3 in poll () from /lib64/libc.so.6
#1  0x0000003243e256ef in ?? () from /lib64/libnspr4.so
#2  0x00007fffed30306a in imapx_parser_thread (d=0x7fffc4029870)
    at camel-imapx-server.c:3714
#3  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#4  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#5  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 100 (Thread 0x7fffb29e7710 (LWP 26418)):
#0  0x00000032342d7de3 in poll () from /lib64/libc.so.6
#1  0x0000003243e256ef in ?? () from /lib64/libnspr4.so
#2  0x00007fffed30306a in imapx_parser_thread (d=0x7fffc4000a10)
    at camel-imapx-server.c:3714
#3  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#4  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#5  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 97 (Thread 0x7fffd61fc710 (LWP 26415)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0xfa3218)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 96 (Thread 0x7fffb5c29710 (LWP 26414)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0xf91148)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 87 (Thread 0x7fffd57fb710 (LWP 26386)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0x7fb418)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 85 (Thread 0x7fffd6bfd710 (LWP 26384)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0x7cc188)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 82 (Thread 0x7fffed2e6710 (LWP 26381)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dda in sync_request_thread_cb (cFile=0x79ade8)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 81 (Thread 0x7fffedf0b710 (LWP 26380)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0x775638)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fffee90c710 (LWP 26311)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0x744a68)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fffef30d710 (LWP 26310)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dab in sync_request_thread_cb (cFile=0x744ac0)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fffefd0e710 (LWP 26302)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dda in sync_request_thread_cb (cFile=0x72b988)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7ffff070f710 (LWP 26301)):
#0  0x0000003234a0b3bc in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x0000003235a17072 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003235a17456 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
#3  0x0000003252a23dda in sync_request_thread_cb (cFile=0x718cd8)
    at camel-db.c:80
#4  0x0000003235a64e84 in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003234a07761 in start_thread () from /lib64/libpthread.so.0
#6  0x00000032342e14dd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7ffff7fa2940 (LWP 26298)):
#0  0x000000323662a494 in g_type_check_instance_cast ()
   from /lib64/libgobject-2.0.so.0
#1  0x000000323c039579 in gtk_tooltip_set_markup ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#2  0x000000323c0395e9 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#3  0x000000323c039907 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#4  0x000000323bf48f68 in gtk_main_do_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#5  0x000000323b66039c in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#6  0x0000003235a3bd02 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#7  0x0000003235a3fae8 in ?? () from /lib64/libglib-2.0.so.0
#8  0x0000003235a3fff5 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#9  0x000000323bf493c7 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#10 0x0000000000402654 in main (argc=1, argv=0x7fffffffe278) at main.c:578
A debugging session is active.

	Inferior 1 [process 26298] will be killed.

Quit anyway? (y or n)

Comment 19 Milan Crha 2010-06-16 11:09:59 UTC
Thanks for an update and a very nice detailed valgrind log. I'll try to reproduce this on my machine with your steps, though I was unable to reproduce it yet.

Comment 20 Milan Crha 2010-06-16 11:25:13 UTC
I forgot to mention, I'm trying this on a code which will be the 2.30.2 next week, and it seems to be fixed there. Thus let's see after next week release.

Comment 21 Samuel Irlapati 2010-06-29 20:30:03 UTC
i have tried evolution 2.30.2 and it still crashes.

Comment 22 Samuel Irlapati 2010-06-29 20:33:00 UTC
I think i the problem happens when grouping the messages. Is there a way to undo "group by threads" when evolution keeps crashing?

Comment 23 Milan Crha 2010-06-30 06:52:35 UTC
Right, it has something to do with the Group by Thread, and I guess the fact you are using IMAP+ (imapx), not the standard IMAP provider. You can disable Group-By-Thread in a gconf editor, just uncheck
/apps/evolution/mail/display/thread_list

but before that, could you do one test for me, please? Run evolution under valgrind and let it crash, just like this:
   $ G_SLICE=always-malloc valgrind evolution &>evo.log

it'll, with a bit of luck, show us where the memory was freed. Upload the evo.log file here, please. It usually doesn't contain any private information, but please check to be sure. Thanks in advance.

Comment 24 Samuel Irlapati 2010-06-30 15:03:56 UTC
Created attachment 428014 [details]
valgrind output

Here is the new valgrind output. I am happy to help debug this. I prefer viewing my email as threads. So any help you need in debugging this, do not hesitate to ask.

Comment 25 Samuel Irlapati 2010-06-30 15:09:06 UTC
I did not find a /apps/evolution/mail/display/thread_list
 in the gconf-editor. I did uncheck everything that had thread to it and it still crashed. Any other ideas that i can try out?

Comment 26 Samuel Irlapati 2010-07-02 16:26:30 UTC
I have tried this with IMAP and i still have the same problem of evolution crashing when grouping messages by thread.

Comment 27 Milan Crha 2010-07-08 19:49:36 UTC
Thanks for the update. I'm sorry for my late response, I was busy with other bug.

The valgrind log shows partially where the issue is, though it seems you do not have installed debug info packages for evolution and evolution-data-server, so it doesn't show detailed information. Could you install those and give it another shot, please?

(In reply to comment #25)
> I did not find a /apps/evolution/mail/display/thread_list
>  in the gconf-editor. I did uncheck everything that had thread to it and it
> still crashed. Any other ideas that i can try out?    

Oh, it seems I have some ancient gconf key. I'm sorry for a confusion. The 2.30.x+ uses a state file for this, it's a per-folder setting now. The file is ~/.evolution/mail/config/state
Search for GroupByThreads=true in it, and change it to GroupByThreads=false. You can search by folder name too. Only be sure you'll have evolution closed when changing this file. If the offending folder doesn't contain this key, then just add it.

Comment 28 Samuel Irlapati 2010-07-09 15:50:55 UTC
I have been trying to get to it crash when running valgrind, but it does not. But it is very slow. Without valgrind it does crash and it generates a crash report. I am not sure what is happening here. Any suggestions?

Comment 29 Samuel Irlapati 2010-07-10 03:25:43 UTC
Created attachment 430823 [details]
valgrind output

I hope this helps. When running with valgrind it does not crash, but i duplicated the steps to make it crash when running without valgrind. I hope this helps to narrow the problem. If i am still missing some debuginfo packages, please let me know which ones i should install.

Comment 30 Milan Crha 2010-07-12 13:31:56 UTC
Thanks for the update. I see that most of the issues is involving Tracker's evolution-plugin (package name is tracker-evolution-plugin). I'm not using it, which might explain the difference why I'm not seeing the issue. The previous valgrind log, from a crash without debug info packages installed, is not showing thracker's evolution-plugin, but that might be only a coincidence.

Could you try to disable/uninstall this plugin, whether it'll help of not, please?

Comment 31 Samuel Irlapati 2010-07-13 01:57:42 UTC
Created attachment 431321 [details]
valgrind output

Here is the valgrind output after unchecking the tracker plugin. It still crashes. Though when running evolution with valgrind, it does not crash even when performing the same steps.

Comment 32 Milan Crha 2010-07-13 07:23:37 UTC
This is doing the trouble (the below quotation). I tried two different imapx accounts, but not luck, it doesn't crash, neither valgrind report anything like this, regardless I "group-by-thread" or not in the folder - and there are messages in thread. I tried with Fedora 13th 2.30.2 evolution.

Valgrind is able to prevent crashers and report errors like the one below, so it makes it survive, when you run with it.

Did you run the latest valgrind with this exported:
   $ export G_SLICE=always-malloc
or as shown in comment #23? Because valgrind claims "Address 0xbdfeae0 is not stack'd...", but the pointer seems to be reasonable address, thus I suppose it wasn't run with G_SLICE=always-malloc, but I can be wrong.

> Thread 7:
> Invalid free() / delete / delete[]
>    at 0x4A04D72: free (vg_replace_malloc.c:325)
>    by 0xBDEB855: free_message_info_data (message-list.c:4425)
>    by 0x3E80C2D482: g_hash_table_foreach (in /lib64/libglib-2.0.so.0.2400.1)
>    by 0xBDEC858: regen_list_exec (message-list.c:4496)
>    by 0xBDDD727: mail_msg_proxy (mail-mt.c:471)
>    by 0x3E80C66D4A: ??? (in /lib64/libglib-2.0.so.0.2400.1)
>    by 0x3E80C64E83: ??? (in /lib64/libglib-2.0.so.0.2400.1)
>    by 0x3E7F407760: start_thread (in /lib64/libpthread-2.12.so)
>    by 0x3E7ECE14DC: clone (in /lib64/libc-2.12.so)
>  Address 0xbdfeae0 is not stack'd, malloc'd or (recently) free'd

Looking on the place of a report, what are your sorting options, please? You can see that when you right click over the message list header (say over the From header), and choose Customize Current View option, which will show what fields are shown and how is the sorting set. I sort only by "Date (Ascending)". Could you write here what you are seeing there, please?

Comment 33 Samuel Irlapati 2010-07-13 20:53:01 UTC
Yes i always run valgrind using the command in comment#23. So i am not sure why it says the address is not stacked.

I sort first by "follow up flag", descending then "Date", descending.

Comment 34 Samuel Irlapati 2010-07-13 20:55:24 UTC
OK if i sort by Labels(Descending, Date(Descending) it does not crash. I guess you have narrowed down the problem.

Comment 35 Milan Crha 2010-07-14 12:25:59 UTC
(In reply to comment #33)
> Yes i always run valgrind using the command in comment#23. So i am not sure why
> it says the address is not stacked.
> 
> I sort first by "follow up flag", descending then "Date", descending.    

Great, when I set this sorting options then it also crashes.
Thanks a lot for all the investigation. I'm moving this upstream, and I'll try to fix it for 2.30.3. Please see [1] for any further updates.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=624335


Note You need to log in before you can comment on or make changes to this bug.